Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

App Compatibility

Discussion in 'Phantom 2 Vision + Discussion' started by Fat Tuesday, Apr 19, 2016.

  1. Fat Tuesday

    Joined:
    Apr 19, 2016
    Messages:
    2
    Likes Received:
    0
    Hello,
    I have a PV2+ and the new app is not compatible on iphone 6. Are people still flying the PV2+ and if so how?
    Thank you in advance.
     
  2. RoyVa

    Joined:
    Apr 10, 2015
    Messages:
    2,248
    Likes Received:
    454
    Location:
    Virginia
    I am still flying my p2V+ units and have no issues, however I am using android and not the iOS. There was mention that the newest updated app for iOS had issues with the P2 series. You may want to search and see if thir has been a resolution. I know the response was Do not update to the latest app. That has been a little while ago so thir may be other responses.
     
  3. Fat Tuesday

    Joined:
    Apr 19, 2016
    Messages:
    2
    Likes Received:
    0
    Thanks, yes I have IOS. I kept my old Iphone 4 to run the old app but it has issues. I paid for an new non DJI app and hope that works on new iphone 6. We will see.
     
Loading...
Similar Threads - App Compatibility Forum Date
Professional GO App Compatibility ? Phantom 3 Help Saturday at 12:02 PM
DJI Phantom app compatibility with ZTE Axon 7 General Discussion Dec 26, 2016
iOS 10 compatibility and Go APP Pro/Adv Discussion Oct 5, 2016
Professional Compatibility between the Litchi app and old firmware Phantom 3 Help Jan 12, 2016
DJI GO app for Android compatibility with Samsung Galaxy Tab S Pro/Adv Discussion Aug 12, 2015